## groovy.util
Class ObjectGraphBuilder.DefaultReferenceResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultReferenceResolver

All Implemented Interfaces:
  ObjectGraphBuilder.ReferenceResolver

Enclosing class:
  ObjectGraphBuilder

    public static class ObjectGraphBuilder.DefaultReferenceResolver

extends Object
implements ObjectGraphBuilder.ReferenceResolver

Default impl, always returns 'refId'

Constructor Summary
`ObjectGraphBuilder.DefaultReferenceResolver()`

Method Summary
`String` `getReferenceFor(String nodeName)` Returns the name of the property that references another node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectGraphBuilder.DefaultReferenceResolver

    public ObjectGraphBuilder.DefaultReferenceResolver()

Method Detail

### getReferenceFor

    public String getReferenceFor(String nodeName)

  Description copied from interface: `ObjectGraphBuilder.ReferenceResolver`
  Returns the name of the property that references another node.

  Specified by:
    `getReferenceFor` in interface `ObjectGraphBuilder.ReferenceResolver`
  Parameters:
    `nodeName` - the name of the node

Copyright © 2003-2008 The Codehaus. All rights reserved.